ranges::views::filter_fn Struct Reference
Inheritance diagram for ranges::views::filter_fn:

## Synopsis of methods

constexpr filter_fn | filter {}

## Public Member Functions

template<typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires `(!range< Pred >)) ccconstexpr auto operator()(Pred pred
template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::filter_base_fn
template<typename Rng , typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, projected< iterator_t< Rng >, Proj >>) ccconstexpr filter_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 composed< Pred, Proj > | operator() (Rng &&rng, Pred pred, Proj proj) const
Public Member Functions inherited from ranges::views::cpp20_filter_base_fn
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>) ccconstexpr filter_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const

## Public Attributes

CPP_TEMPLATE_AUX_0 Proj proj | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Proj proj ranges::views::filter_fn::const

Initial value:
{
return make_view_closure(
bind_back(filter_base_fn{}, std::move(pred), std::move(proj)))
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
ranges::make_view_closure
constexpr make_view_closure_fn make_view_closure
Definition: view.hpp:95
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994